Bug 1248756 - rawtherapee bundles libraries
rawtherapee bundles libraries
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: rawtherapee (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mattia Verga
Fedora Extras Quality Assurance
:
Depends On:
Blocks: DuplicSysLibsTracker
  Show dependency treegraph
 
Reported: 2015-07-30 14:31 EDT by Dominik 'Rathann' Mierzejewski
Modified: 2016-11-05 14:05 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-11-05 14:05:04 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dominik 'Rathann' Mierzejewski 2015-07-30 14:31:32 EDT
Description of problem:
rawtherapee bundles two libraries and even a font. This is against https://fedoraproject.org/wiki/Packaging:Guidelines#Duplication_of_system_libraries and https://fedoraproject.org/wiki/Packaging:Guidelines#Avoid_bundling_of_fonts_in_other_packages

Version-Release number of selected component (if applicable):
rawtherapee-4.2-11.fc23

Additional information:

Droid font:
rtdata/fonts/DroidSansMonoSlashed.ttf

KLT:
rtengine/klt

rtengine/iccjpeg.[ch] look like they came from somewhere else as well.
Comment 1 Jan Kurik 2016-02-24 08:29:59 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 2 Mattia Verga 2016-10-06 12:16:27 EDT
Bug still exist in rawhide
Comment 3 Matthew Miller 2016-10-11 08:03:55 EDT
FWIW, I think rtdata/fonts/DroidSansMonoSlashed.ttf is a variant we don't have in Fedora otherwise.
Comment 4 Mattia Verga 2016-10-11 08:18:53 EDT
I will ask on packagers mailing list a clarification about font bundling. From what I see, rawtherapee bundles that font in sources, but does not package it (I can't find the DroidSansMonoSlashed.ttf in the list of files installed by rawtherapee).
Comment 5 Fedora Admin XMLRPC Client 2016-10-29 08:14:10 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 6 Fedora Admin XMLRPC Client 2016-10-30 03:14:46 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 7 Mattia Verga 2016-11-05 14:05:04 EDT
The font DroidSansMonoSlashed.ttf is licensed Apache-2.0 (https://github.com/AlbertoDorado/droid-sans-mono-zeromod). The file is present in RawTherapee sources, but it's not packaged. So everything is OK.

About klt bundling, I've asked upstream if it would be possible to use system version instead of bundling it (https://github.com/Beep6581/RawTherapee/issues/3492). For now, I've added a "Provides" statement in the spec file.

Note You need to log in before you can comment on or make changes to this bug.